
<html lang="en">

<head>
  <body background ="https://image.freepik.com/free-vector/airport-check-line_1284-8398.jpg" >
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <style>body {background-color: #effdb1;} </style>
  <title> Flight Management </title>
</head>

<body>
  <!-- Jumbotron -->
  <div class="container-fluid">
    <h1>Flight</h1>
  </div>
  
  <div class="container-fluid">
    <form id= "eventForm" method="POST" name="SearchFlightForm" action="flightView">
      <div class="row">
        <div class="col-md-4 order-md-1 order-sm-2 order-2 form-group">
          <label for="fromCity">Flying From</label><br> <br>
          <input type="text" class="form-control" id="fromAirport" placeholder="กรอกชื่อเมืองต้นทาง" name="fromCity"
            required>
          <div class="valid-feedback">Valid.</div>
          <div class="invalid-feedback">Please fill out this field.</div>
        </div>
        <div class="col-md-4 order-md-2 order-sm-3 order-3 form-group">
          <label for="toCity">Flying to</label><br><br>
          <input type="text" class="form-control" name="toCity" id="toCity" placeholder="กรอกชื่อเมืองปลายทาง" required>
          <div class="valid-feedback">Valid.</div>
          <div class="invalid-feedback">Please fill out this field.</div>
        </div>

        <div class="col-md-4 order-md-3 order-sm-1 order-1">
          <div class="form-check">
            <label class="form-check-label">
              <input type="radio" class="form-check-input" name="directionOptRadio" value="ONE_WAY">One Way
            </label>
          </div>
          <div class="form-check">
            <label class="form-check-label">
              <input type="radio" class="form-check-input" name="directionOptRadio" value="ROUND_TRIPS" checked>Round
              Trip
            </label>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <label for="departing">Departing</label><br>
          <select class="form-control" name="departing" id="departing">
            <option id="BKK">Suvarnabumi (BKK)</option>
            <option id="DMK">Donmueng (DMK)</option>
            <option id="CDG">Charles de Gaulle (CDG)</option>
          </select><br>
        </div>
        <div class="col-md-4">
          <label for="returning">Returning</label><br>
          <select class="form-control" name="returning" id="returning">
            <option id="BKK">Suvarnabumi (BKK)</option>
            <option id="DMK">Donmueng (DMK)</option>
            <option id="CDG">Charles de Gaulle (CDG)</option>
          </select>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <label for="adults">Adult(s)</label><br>
          <select class="form-control" name="adults" id="adults">
            <option value="1">1</option>
            <option value="2">2</option>
            <option value="3">3</option>
          </select>
        </div>

        <div class="col-md-4">
          <label for="cabin">Cabin</label><br>
          <select class="form-control" name="cabin" id="cabin">
            <option value="Economy">Economy Class</option>
            <option value="Business">Business Class</option>
            <option value="First">First Class</option>
          </select>
        </div>

      </div>
      <div>
        
        <br>
        <button  onclick="submit()" class="btn btn-default" style="border: 2px solid black; color:black; background-color: white;" >
          Search
        </button>
        <!-- <br><button onclick="location.href='flightView.html'" style="color:white; background-color: rgb(201, 5, 103);" type="button">Search</button> -->
      </div>
      
    </form>
  </div> <!-- Optional JavaScript -->

  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
</body>

</html>
<script>
var frm = $('#eventForm');
frm.submit(function (ev) {
    ev.preventDefault();
    console.log(frm.attr('url'))
    $.ajax({
        url: frm.attr('action'),
        type: frm.attr('method'),
        data: frm.serialize(),
       
    });

})

</script>